Microsimulation API

Classes | Enumerations | Functions
person-r-20121231.cc File Reference
`#include "event-r.h"`
`#include <Rcpp.h>`
Include dependency graph for person-r-20121231.cc:

Go to the source code of this file.

## Classes
class | Person
| Class to simulate a person. More...

## Enumerations
enum | gleason_t { nogleason, gleasonLt7, gleason7, gleasonGt7 }
| enum for type of Gleason score More...
enum | stage_t { Healthy, Localised, DxLocalised, LocallyAdvanced, DxLocallyAdvanced, Metastatic, DxMetastatic, Death }
| enum of type of disease stage More...

## Functions
double | dxHR (stage_t stage)
double | progressionHR (gleason_t gleason)
void | callPersonSimulation (int *inseed, double *parms, int *nin, double *out, int *nout)
void | testRng (int *inseed, double *out)

## Detailed Description

Author
  Mark Clements mark..nosp@m.clem.nosp@m.ents@.nosp@m.ki.s.nosp@m.e

Version
  1.0

# LICENSE

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details at http://www.gnu.org/copyleft/gpl.html

# DESCRIPTION

Microsimulation of prostate cancer.

TODO other causes of death - incorporate rates other transitions age-specific reporting of state probabilities

Definition in file person-r-20121231.cc.

## Enumeration Type Documentation

## ◆ gleason_t

enum gleason_t

enum for type of Gleason score

Enumerator
nogleason |
gleasonLt7 |
gleason7 |
gleasonGt7 |

Definition at line 37 of file person-r-20121231.cc.

## ◆ stage_t

enum stage_t

enum of type of disease stage

Enumerator
Healthy |
Localised |
DxLocalised |
LocallyAdvanced |
DxLocallyAdvanced |
Metastatic |
DxMetastatic |
Death |

Definition at line 40 of file person-r-20121231.cc.

## Function Documentation

## ◆ callPersonSimulation()

void callPersonSimulation | ( | int * | inseed,
|  | double * | parms,
|  | int * | nin,
|  | double * | out,
|  | int * | nout
| ) |  |

Definition at line 194 of file person-r-20121231.cc.

## ◆ dxHR()

double dxHR | ( | stage_t | stage | ) |

Hazard ratio for diagnosis

Parameters

  stage | Disease stage

Definition at line 80 of file person-r-20121231.cc.

## ◆ progressionHR()

double progressionHR | ( | gleason_t | gleason | ) |

Hazard ratio for progression

Parameters

  gleason | Gleason category

Definition at line 90 of file person-r-20121231.cc.

## ◆ testRng()

void testRng | ( | int * | inseed,
|  | double * | out
| ) |  |

Definition at line 222 of file person-r-20121231.cc.